EphyWindow
3
EPIPHANY Library

# EphyWindow

Represents an Epiphany window.

## Synopsis

                        EphyWindow;
    EphyWindow*         ephy_window_new                     (void);
    EphyWindow*         ephy_window_new_with_chrome         (EphyEmbedChrome chrome,
                                                             gboolean is_popup);
    GtkWidget*          ephy_window_get_notebook            (EphyWindow *window);
    GtkWidget*          ephy_window_get_toolbar             (EphyWindow *window);
    GtkWidget*          ephy_window_get_statusbar           (EphyWindow *window);
    void                ephy_window_set_zoom                (EphyWindow *window,
                                                             float zoom);
    void                ephy_window_activate_location       (EphyWindow *window);
    void                ephy_window_load_url                (EphyWindow *window,
                                                             const char *url);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----EphyWindow

## Implemented Interfaces

EphyWindow implements AtkImplementorIface, GtkBuildable, EphyLink and EphyEmbedContainer.

## Description

An EphyWindow is what the user sees when opening Epiphany. Think of each EphyWindow as a giant container which holds many useful items:

- A toolbar, available from `ephy_window_get_toolbar()`.
- An EphyStatusbar, available from `ephy_window_get_statusbar()`.
- A GtkNotebook for holding EphyTabs. Use `ephy_window_get_notebook()`, `ephy_window_get_tabs()` and `ephy_window_get_active_tab()` to reach them. Manipulate tabs using `ephy_window_add_tab()`, `ephy_window_remove_tab()` and `ephy_window_jump_to_tab()`.

You can also perform simple manipulations of an EphyWindow's active EphyEmbed. These are restricted to `ephy_window_set_zoom()` and `ephy_window_load_url()`.

## Details

### EphyWindow

    typedef struct _EphyWindow EphyWindow;

### ephy_window_new ()

    EphyWindow*         ephy_window_new                     (void);

Equivalent to `g_object_new()` but returns an EphyWindow so you don't have to cast it.

Returns :

  a new EphyWindow

### ephy_window_new_with_chrome ()

    EphyWindow*         ephy_window_new_with_chrome         (EphyEmbedChrome chrome,
                                                             gboolean is_popup);

Identical to `ephy_window_new()`, but allows you to specify a chrome.

`chrome` :

  an EphyEmbedChrome

`is_popup` :

  whether the new window is a popup window

Returns :

  a new EphyWindow

### ephy_window_get_notebook ()

    GtkWidget*          ephy_window_get_notebook            (EphyWindow *window);

Returns the GtkNotebook used by this window.

`window` :

  an EphyWindow

Returns :

  the `window`'s GtkNotebook

### ephy_window_get_toolbar ()

    GtkWidget*          ephy_window_get_toolbar             (EphyWindow *window);

Returns this window's toolbar as an EggEditableToolbar.

`window` :

  an EphyWindow

Returns :

  an EggEditableToolbar

### ephy_window_get_statusbar ()

    GtkWidget*          ephy_window_get_statusbar           (EphyWindow *window);

Returns this window's statusbar as an EphyStatusbar.

`window` :

  an EphyWindow

Returns :

  This window's statusbar

### ephy_window_set_zoom ()

    void                ephy_window_set_zoom                (EphyWindow *window,
                                                             float zoom);

Sets the zoom on `window`'s active EphyEmbed. A `zoom` of 1.0 corresponds to 100% zoom (normal size).

`window` :

  an EphyWindow

`zoom` :

  the desired zoom level

### ephy_window_activate_location ()

    void                ephy_window_activate_location       (EphyWindow *window);

Activates the location entry on `window`'s toolbar.

`window` :

  an EphyWindow

### ephy_window_load_url ()

    void                ephy_window_load_url                (EphyWindow *window,
                                                             const char *url);

Loads a new url in the active tab of `window`. Unlike `ephy_embed_load_url()`, this function activates the embed.

`window` :

  a EphyWindow

`url` :

  the url to load